package model

type DatasetOperationLog struct {
	LogId             int64 `xorm:"not null pk autoincr INT(11)" json:"logId"`
	DatasetId         int64 `xorm:"INT(11) index" json:"datasetId"`
	TrainingDatasetId int64 `xorm:"INT(11) index" json:"trainingDatasetId"`
	TargetData        int64 `xorm:"INT(11) default 0" json:"targetData"`   //目标数据, 0:全量数据; n:指定数据量
	TrainNumber       int64 `xorm:"INT(11)" json:"trainNumber"`            //训练集数量
	ValidationNumber  int64 `xorm:"INT(11)" json:"validationNumber"`       //检验集数量
	TestNumber        int64 `xorm:"INT(11)" json:"testNumber"`             //测试集数量
	SplitMethod       int   `xorm:"SMALLINT default 1" json:"splitMethod"` //分割方式，1:随机分割;2:顺序分割
	Creator           int64 `xorm:"INT(11) index" json:"creator"`          //创建人
	CreateAt          int64 `xorm:"created" json:"createAt"`               //创建时间
	UpdateAt          int64 `xorm:"updated" json:"updateAt"`               //更新时间
}
